summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author ponce2011-12-28 12:28:43 +0100
committer Robby Workman2011-12-31 07:24:39 +0100
commit6513ef391ca0b0e3571ed96b2f4ac4ae175b6b72 (patch)
treea21c2573981ce0c1af249e23258bb747079612a0 /desktop
parent6b5bc4454a1e18e053e539997e36db0f6e0ce145 (diff)
downloadslackbuilds-6513ef391ca0b0e3571ed96b2f4ac4ae175b6b72.tar.gz
desktop/ptbatterysystemtray: Added (battery applet)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/ptbatterysystemtray/README3
-rw-r--r--desktop/ptbatterysystemtray/doinst.sh3
-rw-r--r--desktop/ptbatterysystemtray/ptbatterysystemtray.SlackBuild76
-rw-r--r--desktop/ptbatterysystemtray/ptbatterysystemtray.info10
-rw-r--r--desktop/ptbatterysystemtray/slack-desc19
5 files changed, 111 insertions, 0 deletions
diff --git a/desktop/ptbatterysystemtray/README b/desktop/ptbatterysystemtray/README
new file mode 100644
index 0000000000..bcead0563e
--- /dev/null
+++ b/desktop/ptbatterysystemtray/README
@@ -0,0 +1,3 @@
+ptbatterysystemtray (battery applet)
+
+A simple battery monitor in the system tray, in Qt.
diff --git a/desktop/ptbatterysystemtray/doinst.sh b/desktop/ptbatterysystemtray/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/ptbatterysystemtray/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/ptbatterysystemtray/ptbatterysystemtray.SlackBuild b/desktop/ptbatterysystemtray/ptbatterysystemtray.SlackBuild
new file mode 100644
index 0000000000..a242010956
--- /dev/null
+++ b/desktop/ptbatterysystemtray/ptbatterysystemtray.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for ptbatterysystemtray
+# Written by ponce <matteo.bernardini@gmail.com>
+
+PRGNAM=ptbatterysystemtray
+VERSION=${VERSION:-20110503_c08309d}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS ChangeLog LICENCE NEWS README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake INSTALL_PREFIX=/usr
+
+sed -i "s|-O2|${SLKCFLAGS}|" Makefile
+
+make
+install -D -m 0644 $PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+install -D -m 0644 $PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+install -D -m 0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/ptbatterysystemtray/ptbatterysystemtray.info b/desktop/ptbatterysystemtray/ptbatterysystemtray.info
new file mode 100644
index 0000000000..238a11d922
--- /dev/null
+++ b/desktop/ptbatterysystemtray/ptbatterysystemtray.info
@@ -0,0 +1,10 @@
+PRGNAM="ptbatterysystemtray"
+VERSION="20110503_c08309d"
+HOMEPAGE="https://gitorious.org/ptbatterysystemtray"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/ptbatterysystemtray-20110503_c08309d.tar.xz"
+MD5SUM="ca3c52ae533f196bb68c67158fd2582a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/desktop/ptbatterysystemtray/slack-desc b/desktop/ptbatterysystemtray/slack-desc
new file mode 100644
index 0000000000..c06efab14d
--- /dev/null
+++ b/desktop/ptbatterysystemtray/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ptbatterysystemtray: ptbatterysystemtray (battery applet)
+ptbatterysystemtray:
+ptbatterysystemtray: A simple battery monitor in the system tray, in Qt.
+ptbatterysystemtray:
+ptbatterysystemtray: homepage: https://gitorious.org/ptbatterysystemtray
+ptbatterysystemtray:
+ptbatterysystemtray:
+ptbatterysystemtray:
+ptbatterysystemtray:
+ptbatterysystemtray:
+ptbatterysystemtray: